### Virtual Method

# Hitaki MotuRegisterDsp read_byte_meter

#### Declaration [src]

    gboolean
    read_byte_meter (
      HitakiMotuRegisterDsp* self,
      guint8* const* meter,
      GError** error
    )

#### Description [src]

Read cached data of meter information for register DSP models.

#### Parameters

`meter`

  Type: An array of `guint8*`

  The data of meter. Index 0 to 23 for inputs and index 24 to 47 for outputs.

  The argument will be modified by the function.
  The array must have 48 elements.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finished successfully, else FALSE.